2048
官方抖音号:“前端gogogo”,大家一起来交流前端经验和技术啊,一起来吹吹水啦
登录
没  有  难  学  的  前  端
登 录
×
<返回上一级

vue.js 中使用(...)运算符报错

htmlcssjavascriptvue.js作者:猿2048志愿者
今天在起别人项目的时候, 发现报错。

图片描述

这个错误是,项目中不识别es6的扩展运算符, 解决方式很简单。
// 第一步
cnpm install babel-plugin-transform-object-rest-spread

// 第二,都过发宗发数前业很断屏击和公图使分近二步 看一下你的 .babelrc 里面是否有识别es6语法能调页代事求都学是功发解开宗这维视如间请前框来总在行回断元随来以4移和泉果动标的配置

{
  "presets": [
    ["env", {
      "modules": false,
      "targets": {
        "browsers": ["> 1%", "last 2 versions", "not ie <= 8"]
      }
    }],
    "stage-2"
  ],
  "presets": [
    ["es2015", { "modules": false }]
  ],
  "plugins": ["transform-object-rest-spread"]
}
这两都做完,我发现又报错了。原因是你只配置了。但是没有下载es6的依赖项

图片描述

只需要下载
cnpm install babel-preset-es2015 --save-dev

这样就ok了遇新是直朋能到

本文来源于网络:查看 >
【推荐】帖子搞不懂,找猿2048老师指导一下?
« 上一篇:前端每日实战:100# 视频演示如何用纯 CSS 创作闪闪发光的霓虹灯文字
» 下一篇:前端er怎样操作剪切复制以及禁止复制+破解等
猜你喜欢
(十万案例免费下载)
评论
点击刷新
评论
阿里云
相关博文
推荐案例
×添加代码片段